%define oname   eventmachine

Name:       ruby-%{oname}
Version:    1.2.7
Release:    %mkrel 4
Summary:    Ruby/EventMachine library
Group:      Development/Ruby
License:    MIT
URL:        http://rubyeventmachine.com
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libevent)

%description
EventMachine implements a fast, single-threaded engine for arbitrary network
communications. It's extremely easy to use in Ruby. EventMachine wraps all
interactions with IP sockets, allowing programs to concentrate on the
implementation of network protocols. It can be used to create both network
servers and clients. To create a server or client, a Ruby program only needs
to specify the IP address and port, and provide a Module that implements the
communications protocol. Implementations of several standard network
protocols
are provided with the package, primarily to serve as examples. The real goal
of EventMachine is to enable programs to easily interface with other
programs
using TCP/IP, especially if custom protocols are required.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Buildarch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc docs
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Mar 02 2020 pterjan <pterjan> 1.2.7-4.mga8
+ Revision: 1553154
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1.2.7-3.mga8
+ Revision: 1516641
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.7-2.mga7
+ Revision: 1300878
- Mageia 7 Mass Rebuild

* Thu May 17 2018 pterjan <pterjan> 1.2.7-1.mga7
+ Revision: 1230084
- Update to 1.2.7

* Mon Jan 01 2018 pterjan <pterjan> 1.2.5-2.mga7
+ Revision: 1188480
- Rebuild for Ruby 2.5

* Sat Aug 19 2017 pterjan <pterjan> 1.2.5-1.mga7
+ Revision: 1141787
- Update to 1.2.5

* Tue Aug 15 2017 pterjan <pterjan> 1.0.8-4.mga7
+ Revision: 1140827
- Rebuild for new Ruby

* Thu Mar 03 2016 umeabot <umeabot> 1.0.8-3.mga6
+ Revision: 984102
- Rebuild for openssl

* Wed Feb 17 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 962720
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 pterjan <pterjan> 1.0.8-1.mga6
+ Revision: 895642
- Update to 1.0.8

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 750995
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 688796
- Mageia 5 Mass Rebuild

* Mon May 05 2014 pterjan <pterjan> 1.0.3-1.mga5
+ Revision: 620153
- 1.0.3

* Sat Dec 28 2013 pterjan <pterjan> 1.0.0-9.mga4
+ Revision: 561864
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.0.0-8.mga4
+ Revision: 561168
- Fix gem macros

* Sun Dec 22 2013 pterjan <pterjan> 1.0.0-7.mga4
+ Revision: 559679
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-6.mga4
+ Revision: 535472
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.0.0-5.mga4
+ Revision: 482053
- Update file list
- Rebuild for Ruby 2

* Fri Sep 13 2013 pterjan <pterjan> 1.0.0-4.mga4
+ Revision: 478263
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 395931
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 380863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 312899
- update file list
- drop patch
- new version 1.0.0

* Mon Apr 25 2011 shikamaru <shikamaru> 0.12.10-3.mga1
+ Revision: 90342
- Add check section
- add patch to fix https test (got 301 instead of 200 with amazon)
- remove process watch test since it only supports kqueue which is not available
- bump release

* Thu Feb 03 2011 shikamaru <shikamaru> 0.12.10-2.mga1
+ Revision: 46603
- imported package ruby-eventmachine

